NAME
	Dump

SYNOPSIS
	Dump <object>
	Dump <object> <var>
	Dump <object> alarms
	Dump <object> cpu
	Dump <object> list
	Dump <object> flags
	Dump <object> functions
	Dump <object> info
	Dump <object> inherit / inherits
	Dump <object> items
	Dump <object> light
	Dump <object> profile
	Dump <object> props / properties
	Dump <object> shadows
	Dump <object> vars
	Dump <object> wizinfo

DESCRIPTION
	This command simply gives you valuable information about an object.

ARGUMENTS
	<object>	The object to Dump information about.
			(for syntax: see 'help tracer')

OPTIONS
	<var>		Will print the value of 'var' in <object>

	alarms		Lists information about the alarms in <object>.

	cpu		Will display the cpu time consumed by <object>
			if the appropriate option is set in the driver.

	flags		Will print some internal flags the driver maintains,
			together with some object status information.

	functions	Lists all the functions defined in <object>
			(but NOT inherited objects)

	info		Will print some basic statistics about <object>

	inherits	Will list all objects inherited by <object>

	inv,		Will list all objects carried by <object>
	inventory

	items		Give a list of all pseudo-items and
			pseudo-commands attached to the object. This will
			yield a list with all items added with add_item()
			and a list of all commands and items added with
			add_cmd_item(). The list of command-items is split
			in a section with commands and a section with
			items. Each pair of commands and items is
			terminated with their index-number.

	light		Display information on the light status of an
			object and all objects in its inventory. It will
			tell you its light status and whether the object
			generates of absorbs light.

			EXAMPLE
			Object: /d/Wiz/mercade/workroom      : OBJ CONT ROOM

			Mercade's workroom                   :   3        +1
			   /doc/examples/spells/obj/lighter  :   1
			   Mercade                           :   1 (transp.)
			      rugsack (open)                 :   1   -1
			         large torch (lit)           :   2

			In this case, Mercade is carrying a rugsack in
			which carry a lit torch of strength 2. The rugsack
			itself radiates darkness of strength -1. Also,
			Mercade has cast a light-spell of strength 1 on
			the room he is in. The room is a basic room with
			default light of strength 1. As you see, Mercade
			neither generates nor absorbs light. He is just
			transparrantly passing though the light he
			carries. The coins He has in his pocket aren't
			interesting from a light point of view, so they
			are disregarded.

	profile		Will print the objects profile statistics if the
			appropriate options are set in the driver.

                        An optional argument can be given to determine
	                which column should be used for sorting (in 
                        decending order). The sort options are 'time',
                        'calls', 'average' and 'function'. The first
	                letter will suffice as well.

	profile_avg	Prints averages over the last minute of the same
                        data as in profile.

	props,		Will list all properties set in <object>
	properties

	shadows		Will list all objects shadowing <object>

	vars		Will list all variables in <object> with their
			values.

	wizinfo		Will print the contents of the OBJ_S_WIZINFO
			property in <object>, if set to a value.

	If anybody defines one of these names for a variable, you will see
	the variable instead of the other info. To bypass this, append the
	name with an exclamation point.

EXAMPLES
	Dump *nick:#1 props	Will list all properties set in the first
				object carried by the player called Nick.

	Dump #1 list!		Lists the inventory of the first object in
				this environment, even if there is a global
				variable 'list' defined in the object.

SEE ALSO
	tracer
